Boomi Platform API Reference (1.0.0) - Event
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Event records correspond to the notifications that are available in the RSS feeds and sent in email notifications. The Event object returns information about the different types of events, including process run events, user notifications, and Runtime monitoring events. The Event object returns process details information via the user.notification record, such as topLevelProcessId, processId, and processName.
Note: Purging of event records occurs after seven days.
Required Privileges
Write access
- N/A
Read access
- API — Use the Boomi Platform API to access account data.
- VIEW_RESULT — View and monitor process execution activity and logs.
Queries for an Event object(s)
For general information about the structure of QUERY filters, their sample payloads, and how to handle the paged results, refer to Query filters and Query paging.
Authorizations:
Request Body schema: optional
Possible properties include: eventId, accountId, atomId, atomName, eventLevel, eventDate, status, eventType, executionId, title, updateDate, startTime, endTime, errorDocumentCount, inboundDocumentCount, outboundDocumentCount, processName, recordDate, error, environment, classification
required | object | ||||||||||
| |||||||||||
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (Event) |
Request samples
- Payload
{- "QueryFilter": {
- "expression": {
- "argument": [
- "execution-67008f66-ea50-40f8-8d1f-7a3ebe2c02a5-2024.08.08"
], - "operator": "EQUALS",
- "property": "executionId"
}
}
}Response samples
- 200
- 403
- 410
- 503
{- "@type": "QueryResult",
- "result": [
- {
- "@type": "Event",
- "eventId": "event-1b2871bf-5819-41e1-a215-714c5cce3551",
- "accountId": "BoomiAdmin-123",
- "atomId": "b829b682-6e6e-4551-b9a3-61dcfa96dffd",
- "atomName": "Biggie",
- "eventLevel": "ERROR",
- "eventDate": "2024-08-08T06:14:42Z",
- "status": "ERROR",
- "eventType": "process.execution",
- "executionId": "execution-67008f66-ea50-40f8-8d1f-7a3ebe2c02a5-2024.08.08",
- "title": "T002a User Notify",
- "updateDate": "2024-08-08T06:14:42Z",
- "startTime": "2024-08-08T06:14:42Z",
- "endTime": "2024-08-08T06:14:46Z",
- "errorDocumentCount": 1,
- "inboundDocumentCount": 1,
- "outboundDocumentCount": 0,
- "processName": "2. (Sched) General: User Notify + Exception (Proc. Call > Data Passthrough Sub-Process) 21 Jun",
- "recordDate": "2024-08-08T06:14:57Z",
- "error": "T002a Exception (Proc. Call > Data Passthru Sub-Process)\n",
- "environment": "ProdEnv",
- "classification": "PROD",
- "errorType": "DOCUMENT",
- "erroredStepLabel": "",
- "erroredStepType": "Exception"
}, - {
- "@type": "Event",
- "eventId": "event-6d71102f-5c82-4206-b88f-081ae4a2a566",
- "accountId": "BoomiAdmin-123",
- "atomId": "b829b682-6e6e-4551-b9a3-61dcfa96dffd",
- "atomName": "Biggie",
- "eventLevel": "ERROR",
- "eventDate": "2024-08-08T06:14:45Z",
- "status": "T002a User Notify (Proc. Call > Data Passthru Sub-Process)",
- "eventType": "user.notification",
- "executionId": "execution-67008f66-ea50-40f8-8d1f-7a3ebe2c02a5-2024.08.08",
- "title": "T002a User Notify",
- "updateDate": "2024-08-08T06:14:45Z",
- "errorDocumentCount": 0,
- "inboundDocumentCount": 0,
- "outboundDocumentCount": 0,
- "processName": "2. (Sched) General: User Notify + Exception (Proc. Call > Data Passthrough Sub-Process) 21 Jun",
- "recordDate": "2024-08-08T06:14:57Z",
- "environment": "ProdEnv",
- "classification": "PROD",
- "topLevelProcessId": "09f94a17-a0ad-4fa9-8423-d01ff6d1e935",
- "processId": "609aaa4e-951b-407a-bdd8-9f70b713246a"
}
], - "numberOfResults": 2
}Retrieves additional results for an Event query
To learn about using queryMore, refer to the topic Query paging.
Authorizations:
Request Body schema: text/plainrequired
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string By default, the queryToken parameter is not available in the query response. It appears only when the query response contains more than 100 results. The maximum number of results returned per query is 100. To retrieve the next set of results, use the queryToken in the queryMore request. |
Array of objects (Event) |
Response samples
- 200
- 403
- 410
- 503
{- "@type": "QueryResult",
- "result": [
- {
- "@type": "Event",
- "eventId": "event-1b2871bf-5819-41e1-a215-714c5cce3551",
- "accountId": "BoomiAdmin-123",
- "atomId": "b829b682-6e6e-4551-b9a3-61dcfa96dffd",
- "atomName": "Biggie",
- "eventLevel": "ERROR",
- "eventDate": "2024-08-08T06:14:42Z",
- "status": "ERROR",
- "eventType": "process.execution",
- "executionId": "execution-67008f66-ea50-40f8-8d1f-7a3ebe2c02a5-2024.08.08",
- "title": "T002a User Notify",
- "updateDate": "2024-08-08T06:14:42Z",
- "startTime": "2024-08-08T06:14:42Z",
- "endTime": "2024-08-08T06:14:46Z",
- "errorDocumentCount": 1,
- "inboundDocumentCount": 1,
- "outboundDocumentCount": 0,
- "processName": "2. (Sched) General: User Notify + Exception (Proc. Call > Data Passthrough Sub-Process) 21 Jun",
- "recordDate": "2024-08-08T06:14:57Z",
- "error": "T002a Exception (Proc. Call > Data Passthru Sub-Process)\n",
- "environment": "ProdEnv",
- "classification": "PROD",
- "errorType": "DOCUMENT",
- "erroredStepLabel": "",
- "erroredStepType": "Exception"
}, - {
- "@type": "Event",
- "eventId": "event-6d71102f-5c82-4206-b88f-081ae4a2a566",
- "accountId": "BoomiAdmin-123",
- "atomId": "b829b682-6e6e-4551-b9a3-61dcfa96dffd",
- "atomName": "Biggie",
- "eventLevel": "ERROR",
- "eventDate": "2024-08-08T06:14:45Z",
- "status": "T002a User Notify (Proc. Call > Data Passthru Sub-Process)",
- "eventType": "user.notification",
- "executionId": "execution-67008f66-ea50-40f8-8d1f-7a3ebe2c02a5-2024.08.08",
- "title": "T002a User Notify",
- "updateDate": "2024-08-08T06:14:45Z",
- "errorDocumentCount": 0,
- "inboundDocumentCount": 0,
- "outboundDocumentCount": 0,
- "processName": "2. (Sched) General: User Notify + Exception (Proc. Call > Data Passthrough Sub-Process) 21 Jun",
- "recordDate": "2024-08-08T06:14:57Z",
- "environment": "ProdEnv",
- "classification": "PROD",
- "topLevelProcessId": "09f94a17-a0ad-4fa9-8423-d01ff6d1e935",
- "processId": "609aaa4e-951b-407a-bdd8-9f70b713246a"
}
], - "numberOfResults": 2
}